Reference For: developers
API: ovf
Operations of the ovf tag of the native REST API.
OVF descriptor parse and import-spec planning (ParseDescriptor / CreateImportSpec)
POST /v1/ovf/create-descriptor
POST /v1/ovf/create-descriptor: SOAP OvfManager.CreateDescriptor.
- CLI
kyvernon ovf create-descriptor --body <json>
Request body
application/json: CreateOvfDescriptorRequest
| Name | Type | Required | Description |
|---|
description | string or null | | Annotation / description override. |
|---|
includeImageFiles | boolean or null | | Package attached ISO images as References (govc export.ovf -i). |
|---|
name | string or null | | Override entity name; defaults to the VM display name. |
|---|
ovfFiles | array of OvfCreateDescriptorFileRequest | yes | Disk and optional ISO package members (govc export.ovf file list). |
|---|
vmId | string | yes | Source VM whose hardware is reflected in the descriptor. |
|---|
Responses
POST /v1/ovf/import-spec
POST /v1/ovf/import-spec: SOAP OvfManager.CreateImportSpec.
- CLI
kyvernon ovf import-spec --body <json>
Request body
application/json: CreateOvfImportSpecRequest
| Name | Type | Required | Description |
|---|
datastoreId | string | yes | Target datastore (datastore-N). |
|---|
deploymentOption | string or null | | Optional deployment configuration id. |
|---|
entityName | string or null | | Override entity name; defaults to the package VirtualSystem name. |
|---|
networkMapping | array of OvfNetworkMappingRequest | | OVF network name → inventory network mappings. |
|---|
ovfDescriptor | string | yes | OVF envelope XML. |
|---|
resourcePoolId | string | yes | Target resource pool (resgroup-N / resourcepool-N). |
|---|
Responses
| Status | Description | Schema |
|---|
| 200 | OK | OvfImportSpecView |
|---|
| 400 | Invalid argument; the error body names the field | ErrorBody |
|---|
| 403 | Permission denied; args.privilege names the missing privilege | ErrorBody |
|---|
| 404 | Not found (or not visible to the caller) | ErrorBody |
|---|
POST /v1/ovf/parse
POST /v1/ovf/parse: SOAP OvfManager.ParseDescriptor.
- CLI
kyvernon ovf parse --body <json>
Request body
application/json: OvfParseDescriptorRequest
| Name | Type | Required | Description |
|---|
deploymentOption | string or null | | Optional deployment configuration id from the package. |
|---|
ovfDescriptor | string | yes | OVF envelope XML. |
|---|
Responses
Version 0.1.